Skip to main content
GET
/
api
/
v1
/
catalogs
/
{id}
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.RequestCatalogManagement.Get(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceGetRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.RequestCatalogManagementServiceGetResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.requestCatalogManagement.get({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/catalogs/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "expanded": [
    {
      "@type": "<string>"
    }
  ],
  "requestCatalogView": {
    "accessEntitlementsPath": "<string>",
    "createdByUserPath": "<string>",
    "memberCount": "<string>",
    "requestCatalog": {
      "accessEntitlements": [
        {
          "alias": "<string>",
          "annotations": {},
          "appId": "<string>",
          "appResourceId": "<string>",
          "appResourceTypeId": "<string>",
          "certifyPolicyId": "<string>",
          "complianceFrameworkValueIds": [
            "<string>"
          ],
          "createdAt": "2023-11-07T05:31:56Z",
          "defaultValuesApplied": true,
          "deletedAt": "2023-11-07T05:31:56Z",
          "deprovisionerPolicy": {
            "action": {
              "actionName": "<string>",
              "appId": "<string>",
              "connectorId": "<string>",
              "displayName": "<string>"
            },
            "connector": {
              "account": {
                "config": {},
                "connectorId": "<string>",
                "doNotSave": {},
                "saveToVault": {
                  "vaultIds": [
                    "<string>"
                  ]
                },
                "schemaId": "<string>"
              },
              "defaultBehavior": {
                "connectorId": "<string>"
              },
              "deleteAccount": {
                "connectorId": "<string>"
              }
            },
            "delegated": {
              "appId": "<string>",
              "entitlementId": "<string>",
              "implicit": true
            },
            "externalTicket": {
              "appId": "<string>",
              "connectorId": "<string>",
              "externalTicketProvisionerConfigId": "<string>",
              "instructions": "<string>"
            },
            "manual": {
              "assignee": {
                "appOwners": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "entitlementOwners": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "expression": {
                  "allowReassignment": true,
                  "expressions": [
                    "<string>"
                  ],
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "group": {
                  "allowReassignment": true,
                  "appGroupId": "<string>",
                  "appId": "<string>",
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "manager": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "users": {
                  "allowReassignment": true,
                  "userIds": [
                    "<string>"
                  ]
                }
              },
              "instructions": "<string>",
              "userIds": [
                "<string>"
              ]
            },
            "multiStep": {
              "provisionSteps": "<array>"
            },
            "unconfigured": {},
            "webhook": {
              "webhookId": "<string>"
            }
          },
          "description": "<string>",
          "displayName": "<string>",
          "durationGrant": "<string>",
          "durationUnset": {},
          "emergencyGrantEnabled": true,
          "emergencyGrantPolicyId": "<string>",
          "externalId": "<string>",
          "grantCount": "<string>",
          "grantPolicyId": "<string>",
          "id": "<string>",
          "isAutomationEnabled": true,
          "isManuallyManaged": true,
          "matchBatonId": "<string>",
          "overrideAccessRequestsDefaults": true,
          "provisionerPolicy": {
            "action": {
              "actionName": "<string>",
              "appId": "<string>",
              "connectorId": "<string>",
              "displayName": "<string>"
            },
            "connector": {
              "account": {
                "config": {},
                "connectorId": "<string>",
                "doNotSave": {},
                "saveToVault": {
                  "vaultIds": [
                    "<string>"
                  ]
                },
                "schemaId": "<string>"
              },
              "defaultBehavior": {
                "connectorId": "<string>"
              },
              "deleteAccount": {
                "connectorId": "<string>"
              }
            },
            "delegated": {
              "appId": "<string>",
              "entitlementId": "<string>",
              "implicit": true
            },
            "externalTicket": {
              "appId": "<string>",
              "connectorId": "<string>",
              "externalTicketProvisionerConfigId": "<string>",
              "instructions": "<string>"
            },
            "manual": {
              "assignee": {
                "appOwners": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "entitlementOwners": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "expression": {
                  "allowReassignment": true,
                  "expressions": [
                    "<string>"
                  ],
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "group": {
                  "allowReassignment": true,
                  "appGroupId": "<string>",
                  "appId": "<string>",
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "manager": {
                  "allowReassignment": true,
                  "fallbackUserIds": [
                    "<string>"
                  ]
                },
                "users": {
                  "allowReassignment": true,
                  "userIds": [
                    "<string>"
                  ]
                }
              },
              "instructions": "<string>",
              "userIds": [
                "<string>"
              ]
            },
            "multiStep": {
              "provisionSteps": "<array>"
            },
            "unconfigured": {},
            "webhook": {
              "webhookId": "<string>"
            }
          },
          "requestSchemaId": "<string>",
          "revokePolicyId": "<string>",
          "riskLevelValueId": "<string>",
          "slug": "<string>",
          "sourceConnectorIds": {},
          "systemBuiltin": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "userEditedMask": "<string>"
        }
      ],
      "annotations": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "createdByUserId": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "displayName": "<string>",
      "id": "<string>",
      "published": true,
      "requestBundle": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "visibleToEveryone": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The id field.

Response

200 - application/json

The request catalog management service get response returns a request catalog view with the expanded items in the expanded array indicated by the expand mask in the request.

The request catalog management service get response returns a request catalog view with the expanded items in the expanded array indicated by the expand mask in the request.

expanded
object[] | null

List of serialized related objects.

requestCatalogView
Request Catalog View · object | null

The request catalog view contains the serialized request catalog and paths to objects referenced by the request catalog.